Skip to main content
POST
Create deployment
A deployment binds a model in CoreWeave AI Object Storage (CAIOS) to one or more gateways. Required fields on the request body: name, gatewayIds, runtime, resources, model, autoscaling, and traffic. The available runtime.engine and runtime.version values are returned by GET /v1alpha1/inference/deployments/parameters.
Example request

承認

Authorization
string
header
デフォルト:Bearer {API_ACCESS_TOKEN}
必須

CoreWeave API access token sent as a bearer token.

ボディ

application/json

Request for CreateDeployment

name
string
必須

The name of the deployment

gatewayIds
string[]
必須

The gateways to associate the deployment with

runtime
object
必須

Runtime selection and configuration

resources
object
必須

Resource configuration for the deployment

model
object
必須

The model configuration

autoscaling
object
必須

The autoscaling configuration

traffic
object
必須

The traffic configuration for the deployment

id
string

The unique identifier of the deployment, UUID format

disabled
boolean

Disable the deployment

hotLoad
object

The hot-load configuration for the deployment. Set it to enable checkpoint hot-loading; it is immutable after creation.

pd
object

Prefill/Decode disaggregation configuration. Top-level resources and autoscaling configure the decode pool; this field configures the prefill pool. Only supported by dynamo-vllm when the pdDisaggEnabled feature flag is enabled.

レスポンス

OK

Response for CreateDeployment

deployment
object

The deployment that was created